package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.loopreturns.com/api/2026-10/dispositioning/assess"
payload := strings.NewReader("{\n \"items\": [\n {\n \"line_item_id\": 1,\n \"return_processor\": \"warehouse-operator@example.com\",\n \"note\": \"This item will be returned to stock after bagging and tagging.\",\n \"inspected_at\": \"2024-03-31T23:59:59+00:00\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.loopreturns.com/api/2026-10/dispositioning/assess")
.header("X-Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"line_item_id\": 1,\n \"return_processor\": \"warehouse-operator@example.com\",\n \"note\": \"This item will be returned to stock after bagging and tagging.\",\n \"inspected_at\": \"2024-03-31T23:59:59+00:00\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.loopreturns.com/api/2026-10/dispositioning/assess")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"line_item_id\": 1,\n \"return_processor\": \"warehouse-operator@example.com\",\n \"note\": \"This item will be returned to stock after bagging and tagging.\",\n \"inspected_at\": \"2024-03-31T23:59:59+00:00\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
[ { "line_item_id": 1, "disposition_outcome": "back_to_stock", "return_processor": "warehouse-operator@example.com", "note": "This item will be returned to stock after bagging and tagging.", "inspected_at": "2024-03-31T23:59:59+00:00" }]
{
"errors": "Unauthorized."
}
{
"message": "This action is unauthorized."
}
{
"message": "The items.0.images.0 must not be greater than 2048 characters.",
"errors": {}
}
Item Grading and Dispositioning
Assess Dispositions
Assess return line item dispositions.
Required API key scope
Returns
POST
/
dispositioning
/
assess
Assess Dispositions
curl --request POST \ --url https://api.loopreturns.com/api/2026-10/dispositioning/assess \ --header 'Content-Type: application/json' \ --header 'X-Authorization: <api-key>' \ --data '{ "items": [ { "line_item_id": 1, "return_processor": "warehouse-operator@example.com", "note": "This item will be returned to stock after bagging and tagging.", "inspected_at": "2024-03-31T23:59:59+00:00" } ]}'
import requests
url = "https://api.loopreturns.com/api/2026-10/dispositioning/assess"
payload = { "items": [
{
"line_item_id": 1,
"return_processor": "warehouse-operator@example.com",
"note": "This item will be returned to stock after bagging and tagging.",
"inspected_at": "2024-03-31T23:59:59+00:00"
}
] }
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
line_item_id: 1,
return_processor: 'warehouse-operator@example.com',
note: 'This item will be returned to stock after bagging and tagging.',
inspected_at: '2024-03-31T23:59:59+00:00'
}
]
})
};
fetch('https://api.loopreturns.com/api/2026-10/dispositioning/assess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.loopreturns.com/api/2026-10/dispositioning/assess"
payload := strings.NewReader("{\n \"items\": [\n {\n \"line_item_id\": 1,\n \"return_processor\": \"warehouse-operator@example.com\",\n \"note\": \"This item will be returned to stock after bagging and tagging.\",\n \"inspected_at\": \"2024-03-31T23:59:59+00:00\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.loopreturns.com/api/2026-10/dispositioning/assess")
.header("X-Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"line_item_id\": 1,\n \"return_processor\": \"warehouse-operator@example.com\",\n \"note\": \"This item will be returned to stock after bagging and tagging.\",\n \"inspected_at\": \"2024-03-31T23:59:59+00:00\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.loopreturns.com/api/2026-10/dispositioning/assess")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"line_item_id\": 1,\n \"return_processor\": \"warehouse-operator@example.com\",\n \"note\": \"This item will be returned to stock after bagging and tagging.\",\n \"inspected_at\": \"2024-03-31T23:59:59+00:00\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
[ { "line_item_id": 1, "disposition_outcome": "back_to_stock", "return_processor": "warehouse-operator@example.com", "note": "This item will be returned to stock after bagging and tagging.", "inspected_at": "2024-03-31T23:59:59+00:00" }]
{
"errors": "Unauthorized."
}
{
"message": "This action is unauthorized."
}
{
"message": "The items.0.images.0 must not be greater than 2048 characters.",
"errors": {}
}